Pulp - Task #7460

Run orphan cleanup in a loop until there is no orphaned content left

09/04/2020 06:40 PM - ttereshc

Status: CLOSED - CURRENTRELEASE Start date:

Priority: High Due date:

Assignee: ttereshc % Done: 100%
Category: Estimated time: 0:00 hour
Sprint/Milestone: 3.7.0

Platform Release: Tags:

Groomed: No Sprint: Sprint 82
Sprint Candidate: No Quarter:

Description

Distribution trees in pulp_rpm plugin have subrepositories. During orphan cleanup of a DistributionTree, sub repositories are deleted
and new orphaned content is created.

The suggestion is to run orphan cleanup queries in a loop until there is no orphaned content left.

Associated revisions

Revision 30fd8419 - 09/21/2020 07:01 PM - ttereshc

Remove orphan content in a loop to clean up subrepos' content as well.

closes #7460 https://pulp.plan.io/issues/7460

History

#1 - 09/15/2020 06:22 PM - bmbouter
- Sprint/Milestone set to 3.7.0

#2 - 09/15/2020 06:38 PM - bmbouter

- Priority changed from Normal to High

#3 - 09/21/2020 05:11 PM - ttereshc
- Status changed from NEW to ASSIGNED

- Assignee set to ttereshc

#4 - 09/21/2020 05:12 PM - ttereshc

- Sprint set to Sprint 82

#5 - 09/21/2020 07:19 PM - pulpbot
- Status changed from ASSIGNED to POST

PR: https://github.com/pulp/pulpcore/pull/922

#6 - 09/21/2020 09:29 PM - ttereshc
- Status changed from POST to MODIFIED
- % Done changed from 0 to 100

Applied in changeset pulpcore|30fd8419aa4888a62fd59ba81fe89f0a9cfabb8d.

#7 - 09/22/2020 09:21 PM - pulpbot

- Status changed from MODIFIED to CLOSED - CURRENTRELEASE
